<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Copyright (c) 2015-2020, The Linux Foundation. All rights reserved.    -->
<!--                                                                        -->
<!-- Redistribution and use in source and binary forms, with or without     -->
<!-- modification, are permitted provided that the following conditions are -->
<!-- met:                                                                   -->
<!--     * Redistributions of source code must retain the above copyright   -->
<!--       notice, this list of conditions and the following disclaimer.    -->
<!--     * Redistributions in binary form must reproduce the above          -->
<!--       copyright notice, this list of conditions and the following      -->
<!--       disclaimer in the documentation and/or other materials provided  -->
<!--       with the distribution.                                           -->
<!--     * Neither the name of The Linux Foundation nor the names of its    -->
<!--       contributors may be used to endorse or promote products derived  -->
<!--       from this software without specific prior written permission.    -->
<!--                                                                        -->
<!-- THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED           -->
<!-- WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF   -->
<!-- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT -->
<!-- ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS -->
<!-- BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR -->
<!-- CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF   -->
<!-- SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR        -->
<!-- BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,  -->
<!-- OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN -->
<!-- IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                          -->
<mixer>
    <!-- These are the initial mixer settings -->
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="0" />
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="0" />
    <!-- HFP start -->
    <!-- HFP end -->
    <!-- echo reference -->
    <!-- usb headset -->
    <!-- usb headset end -->
    <!-- fm -->
    <!-- fm end -->

    <!-- Multimode Voice1 -->
    <!-- Multimode Voice1 BTSCO -->
    <!-- Multimode Voice1 USB headset -->
    <!-- Multimode Voice1 Display-Port -->
    <!-- Multimode Voice1 proxy-Port -->
    <!-- Miltimode Voice1 end-->

    <!-- Multimode Voice2 -->
    <!-- Multimode Voice2 BTSCO -->
    <!-- Multimode Voice2 USB headset -->
    <!-- Multimode Voice2 Display-Port -->
    <!-- Multimode Voice2 proxy-Port -->
    <!-- Multimode Voice2 end-->

    <!-- Voice external ec. reference -->
    <!-- Voice external ec. reference end -->

    <!-- RT Proxy Cal -->
    <!-- RT Proxy Cal end -->

    <!-- Incall Recording -->
    <!-- Incall Recording End -->

    <!-- Incall Music -->
    <!-- Incall Music End -->

    <!-- compress-voip-call start -->
    <!-- compress-voip-call end-->

    <!-- Audio BTSCO -->
    <!-- audio record compress-->
    <!-- audio record compress end-->

    <!-- split a2dp -->
    <!-- split a2dp end-->

    <!-- ADSP testfwk -->
    <!-- ADSP testfwk end-->


    <!-- Codec controls -->
    <!-- WSA controls -->
    <ctl name="WSA RX0 MUX" value="ZERO" />
    <ctl name="WSA RX1 MUX" value="ZERO" />
    <ctl name="WSA_RX0 INP0" value="ZERO" />
    <ctl name="WSA_RX1 INP0" value="ZERO" />
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="0" />
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="0" />
    <ctl name="SpkrLeft COMP Switch" value="0" />
    <ctl name="SpkrRight COMP Switch" value="0" />
    <ctl name="SpkrLeft VISENSE Switch" value="0" />
    <ctl name="SpkrRight VISENSE Switch" value="0" />
    <ctl name="SpkrLeft SWR DAC_Port Switch" value="0" />
    <ctl name="SpkrRight SWR DAC_Port Switch" value="0" />

    <!-- RX Controls -->
    <ctl name="RX_MACRO RX0 MUX" value="ZERO" />
    <ctl name="RX_MACRO RX1 MUX" value="ZERO" />
    <ctl name="RX INT0_1 MIX1 INP0" value="ZERO" />
    <ctl name="RX INT0_1 MIX1 INP1" value="ZERO" />
    <ctl name="RX INT0_1 MIX1 INP2" value="ZERO" />
    <ctl name="RX INT1_1 MIX1 INP0" value="ZERO" />
    <ctl name="RX INT1_1 MIX1 INP1" value="ZERO" />
    <ctl name="RX INT1_1 MIX1 INP2" value="ZERO" />
    <ctl name="RX INT0 DEM MUX" value="NORMAL_DSM_OUT" />
    <ctl name="RX INT1 DEM MUX" value="NORMAL_DSM_OUT" />
    <ctl name="RX_COMP1 Switch" value="0" />
    <ctl name="RX_COMP2 Switch" value="0" />
    <ctl name="HPHL_COMP Switch" value="0" />
    <ctl name="HPHR_COMP Switch" value="0" />
    <ctl name="EAR_RDAC Switch" value="0" />
    <ctl name="HPHL_RDAC Switch" value="0" />
    <ctl name="HPHR_RDAC Switch" value="0" />
    <ctl name="AUX_RDAC Switch" value="0" />
    <ctl name="RDAC3_MUX" value="ZERO" />
    <ctl name="RX_EAR Mode" value="OFF" />

    <!-- TX Controls -->
    <ctl name="VA_CDC_DMA_TX_0 Channels" value="One" />
    <ctl name="VA_AIF1_CAP Mixer DEC0" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC1" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC2" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC3" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC4" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC5" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC6" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC7" value="0" />
    <ctl name="VA DEC0 MUX" value="SWR_MIC" />
    <ctl name="VA DEC1 MUX" value="SWR_MIC" />
    <ctl name="VA DEC2 MUX" value="SWR_MIC" />
    <ctl name="VA DEC3 MUX" value="SWR_MIC" />
    <ctl name="VA DEC4 MUX" value="SWR_MIC" />
    <ctl name="VA DEC5 MUX" value="SWR_MIC" />
    <ctl name="VA DEC6 MUX" value="SWR_MIC" />
    <ctl name="VA DEC7 MUX" value="SWR_MIC" />
    <ctl name="VA DMIC MUX0" value="ZERO" />
    <ctl name="VA DMIC MUX1" value="ZERO" />
    <ctl name="VA DMIC MUX2" value="ZERO" />
    <ctl name="VA DMIC MUX3" value="ZERO" />
    <ctl name="VA DMIC MUX4" value="ZERO" />
    <ctl name="VA DMIC MUX5" value="ZERO" />
    <ctl name="VA DMIC MUX6" value="ZERO" />
    <ctl name="VA DMIC MUX7" value="ZERO" />
    <ctl name="VA SMIC MUX0" value="ZERO" />
    <ctl name="VA SMIC MUX1" value="ZERO" />
    <ctl name="VA SMIC MUX2" value="ZERO" />
    <ctl name="VA SMIC MUX3" value="ZERO" />
    <ctl name="VA SMIC MUX4" value="ZERO" />
    <ctl name="VA SMIC MUX5" value="ZERO" />
    <ctl name="VA SMIC MUX6" value="ZERO" />
    <ctl name="VA SMIC MUX7" value="ZERO" />
    <ctl name="VA_DEC0 MODE" value="ADC_DEFAULT" />
    <ctl name="ADC2_BCS Disable" value="0" />
    <ctl name="SWR_MIC0 HIFI PortMap" value="ZERO" />
    <ctl name="SWR_MIC1 HIFI PortMap" value="ZERO" />
    <ctl name="SWR_MIC2 HIFI PortMap" value="ZERO" />
    <ctl name="SWR_MIC3 HIFI PortMap" value="ZERO" />
    <ctl name="SWR_MIC0 SWR_DMIC_MIXER Switch" value="0" />
    <ctl name="SWR_MIC1 SWR_DMIC_MIXER Switch" value="0" />
    <ctl name="SWR_MIC2 SWR_DMIC_MIXER Switch" value="0" />
    <ctl name="SWR_MIC3 SWR_DMIC_MIXER Switch" value="0" />
    <ctl name="SWR_MIC0 SWR_DMIC_VA_MIXER Switch" value="0" />
    <ctl name="SWR_MIC1 SWR_DMIC_VA_MIXER Switch" value="0" />
    <ctl name="SWR_MIC2 SWR_DMIC_VA_MIXER Switch" value="0" />
    <ctl name="SWR_MIC3 SWR_DMIC_VA_MIXER Switch" value="0" />
    <ctl name="SWR_MIC0 LP PortMap" value="ZERO" />
    <ctl name="SWR_MIC1 LP PortMap" value="ZERO" />
    <ctl name="SWR_MIC2 LP PortMap" value="ZERO" />
    <ctl name="SWR_MIC3 LP PortMap" value="ZERO" />
    <ctl name="LPI Enable" value="1" />
    <ctl name="ADC1_MIXER Switch" value="0" />
    <ctl name="ADC2_MIXER Switch" value="0" />
    <ctl name="ADC3_MIXER Switch" value="0" />
    <ctl name="ADC4_MIXER Switch" value="0" />
    <ctl name="ADC2 MUX" value="INP2" />
    <ctl name="DEC0_BCS Switch" value="0" />
    <ctl name="ADC2_BCS Disable" value="0" />
    <ctl name="ADC3 MUX" value="INP4" />
    <ctl name="ADC4 MUX" value="INP5" />

    <ctl name="TX_AIF1_CAP Mixer DEC0" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC1" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC2" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC3" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC4" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC5" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC6" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC7" value="0" />
    <ctl name="TX DEC0 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX0" value="ZERO" />
    <ctl name="TX SMIC MUX0" value="ZERO" />
    <ctl name="TX DEC1 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX1" value="ZERO" />
    <ctl name="TX SMIC MUX1" value="ZERO" />
    <ctl name="TX DEC2 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX2" value="ZERO" />
    <ctl name="TX SMIC MUX2" value="ZERO" />
    <ctl name="TX DEC3 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX3" value="ZERO" />
    <ctl name="TX SMIC MUX3" value="ZERO" />
    <ctl name="TX DEC4 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX4" value="ZERO" />
    <ctl name="TX SMIC MUX4" value="ZERO" />
    <ctl name="TX DEC5 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX5" value="ZERO" />
    <ctl name="TX SMIC MUX5" value="ZERO" />
    <ctl name="TX DEC6 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX6" value="ZERO" />
    <ctl name="TX SMIC MUX6" value="ZERO" />
    <ctl name="TX DEC7 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX7" value="ZERO" />
    <ctl name="TX SMIC MUX7" value="ZERO" />

    <!-- Volume controls -->
    <ctl name="WSA_RX0 Digital Volume" value="78" />
    <ctl name="WSA_RX1 Digital Volume" value="84" />
    <ctl name="RX_RX0 Digital Volume" value="84" />
    <ctl name="RX_RX1 Digital Volume" value="84" />
    <ctl name="RX_RX2 Digital Volume" value="84" />
    <ctl name="HPHL Volume" value="20" />
    <ctl name="HPHR Volume" value="20" />
    <ctl name="EAR SPKR PA Gain" value="G_DEFAULT" />

    <ctl name="TX_DEC0 Volume" value="96" />
    <ctl name="TX_DEC1 Volume" value="96" />
    <ctl name="TX_DEC2 Volume" value="96" />
    <ctl name="TX_DEC3 Volume" value="96" />
    <ctl name="TX_DEC4 Volume" value="84" />
    <ctl name="TX_DEC5 Volume" value="84" />
    <ctl name="TX_DEC6 Volume" value="84" />
    <ctl name="TX_DEC7 Volume" value="84" />

    <ctl name="ADC1 Volume" value="12" />
    <ctl name="ADC2 Volume" value="12" />
    <ctl name="ADC3 Volume" value="12" />

    <!-- Compander controls -->
    <ctl name="WSA_COMP1 Switch" value="0" />
    <ctl name="WSA_COMP2 Switch" value="0" />
    <ctl name="COMP7 Switch" value="0" />
    <ctl name="COMP8 Switch" value="0" />

    <!-- Headphone class-H mode  -->
    <ctl name="RX_HPH_PWR_MODE" value="ULP" />
    <ctl name="RX HPH Mode" value="CLS_H_ULP" />

    <!-- IIR/voice anc -->
    <ctl name="IIR0 Band1" id ="0" value="268435456" />
    <ctl name="IIR0 Band1" id ="1" value="0" />
    <ctl name="IIR0 Band1" id ="2" value="0" />
    <ctl name="IIR0 Band1" id ="3" value="0" />
    <ctl name="IIR0 Band1" id ="4" value="0" />
    <ctl name="IIR0 Band2" id ="0" value="268435456" />
    <ctl name="IIR0 Band2" id ="1" value="0" />
    <ctl name="IIR0 Band2" id ="2" value="0" />
    <ctl name="IIR0 Band2" id ="3" value="0" />
    <ctl name="IIR0 Band2" id ="4" value="0" />
    <ctl name="IIR0 Band3" id ="0" value="268435456" />
    <ctl name="IIR0 Band3" id ="1" value="0" />
    <ctl name="IIR0 Band3" id ="2" value="0" />
    <ctl name="IIR0 Band3" id ="3" value="0" />
    <ctl name="IIR0 Band3" id ="4" value="0" />
    <ctl name="IIR0 Band4" id ="0" value="268435456" />
    <ctl name="IIR0 Band4" id ="1" value="0" />
    <ctl name="IIR0 Band4" id ="2" value="0" />
    <ctl name="IIR0 Band4" id ="3" value="0" />
    <ctl name="IIR0 Band4" id ="4" value="0" />
    <ctl name="IIR0 Band5" id ="0" value="268435456" />
    <ctl name="IIR0 Band5" id ="1" value="0" />
    <ctl name="IIR0 Band5" id ="2" value="0" />
    <ctl name="IIR0 Band5" id ="3" value="0" />
    <ctl name="IIR0 Band5" id ="4" value="0" />
    <ctl name="IIR0 Enable Band1" value="0" />
    <ctl name="IIR0 Enable Band2" value="0" />
    <ctl name="IIR0 Enable Band3" value="0" />
    <ctl name="IIR0 Enable Band4" value="0" />
    <ctl name="IIR0 Enable Band5" value="0" />
    <ctl name="IIR0 INP0 Volume" value="54" />
    <ctl name="IIR0 INP0 MUX" value="ZERO" />
    <ctl name="IIR0 INP1 MUX" value="ZERO" />
    <ctl name="IIR0 INP2 MUX" value="ZERO" />
    <ctl name="IIR0 INP3 MUX" value="ZERO" />

    <!-- vbat related data -->
    <ctl name="GSM mode Enable" value="OFF" />
    <ctl name="WSA_Softclip0 Enable" value="0" />
    <ctl name="WSA_Softclip1 Enable" value="0" />
    <ctl name="WSA_RX INT0 VBAT WSA RX0 VBAT Enable" value="0" />
    <ctl name="WSA_RX INT1 VBAT WSA RX1 VBAT Enable" value="0" />

    <!-- Codec controls end -->

    <!-- defaults for mmap record -->


    <!-- These are audio route (FE to BE) specific mixer settings -->
    <path name="gsm-mode">
        <ctl name="GSM mode Enable" value="ON" />
    </path>

    <path name="echo-reference">
    </path>

    <path name="echo-reference handset">
    </path>

    <path name="echo-reference headphones">
    </path>

    <path name="echo-reference headset">
        <path name="echo-reference headphones" />
    </path>

    <path name="echo-reference display-port">
    </path>

    <path name="echo-reference display-port1">
    </path>

    <path name="echo-reference headphones-44.1">
    </path>

    <path name="echo-reference bt-sco">
    </path>

    <path name="echo-reference bt-sco-wb">
        <path name="echo-reference bt-sco" />
    </path>

    <path name="echo-reference bt-sco-swb">
        <path name="echo-reference bt-sco" />
    </path>

    <path name="echo-reference-voip">
    </path>

    <path name="echo-reference-voip handset">
    </path>

    <path name="echo-reference-voip headphones">
    </path>

    <path name="echo-reference-voip bt-sco">
    </path>

    <path name="echo-reference-voip bt-sco-wb">
        <path name="echo-reference-voip bt-sco" />
    </path>

    <path name="echo-reference-voip bt-sco-swb">
        <path name="echo-reference-voip bt-sco" />
    </path>

    <path name="deep-buffer-playback">
    </path>

    <path name="deep-buffer-playback speaker-protected">
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe">
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback display-port">
    </path>

    <path name="deep-buffer-playback display-port1">
    </path>

    <path name="deep-buffer-playback speaker-and-display-port">
        <path name="deep-buffer-playback display-port" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-and-display-port1">
        <path name="deep-buffer-playback display-port1" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback bt-sco">
    </path>

    <path name="deep-buffer-playback bt-sco-wb">
        <path name="deep-buffer-playback bt-sco" />
    </path>

    <path name="deep-buffer-playback bt-sco-swb">
        <path name="deep-buffer-playback bt-sco" />
    </path>

    <path name="deep-buffer-playback afe-proxy">
    </path>

    <path name="deep-buffer-playback usb-headphones">
    </path>

    <path name="deep-buffer-playback usb-headset">
    </path>

    <path name="deep-buffer-playback speaker-and-usb-headphones">
        <path name="deep-buffer-playback usb-headphones" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe-and-usb-headphones">
        <path name="deep-buffer-playback usb-headphones" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback headphones">
    </path>

    <path name="deep-buffer-playback headset">
        <path name="deep-buffer-playback headphones" />
    </path>

    <path name="deep-buffer-playback speaker-and-headphones">
        <path name="deep-buffer-playback headphones" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe-and-headphones">
        <path name="deep-buffer-playback headphones" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-and-bt-sco">
        <path name="deep-buffer-playback bt-sco" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe-and-bt-sco">
        <path name="deep-buffer-playback bt-sco" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-and-bt-sco-wb">
        <path name="deep-buffer-playback bt-sco-wb" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe-and-bt-sco-wb">
        <path name="deep-buffer-playback bt-sco-wb" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-and-bt-sco-swb">
        <path name="deep-buffer-playback bt-sco-swb" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="low-latency-playback">
    </path>

    <path name="low-latency-playback speaker-protected">
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe">
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback display-port">
    </path>

    <path name="low-latency-playback display-port1">
    </path>

    <path name="low-latency-playback bt-sco">
    </path>

    <path name="low-latency-playback bt-sco-wb">
        <path name="low-latency-playback bt-sco" />
    </path>

    <path name="low-latency-playback bt-sco-swb">
        <path name="low-latency-playback bt-sco" />
    </path>

    <path name="low-latency-playback speaker-and-display-port">
        <path name="low-latency-playback display-port" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-and-display-port1">
        <path name="low-latency-playback display-port1" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback afe-proxy">
    </path>

    <path name="low-latency-playback usb-headphones">
    </path>

    <path name="low-latency-playback usb-headset">
    </path>

    <path name="low-latency-playback speaker-and-usb-headphones">
        <path name="low-latency-playback usb-headphones" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe-and-usb-headphones">
        <path name="low-latency-playback usb-headphones" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback headphones">
    </path>

    <path name="low-latency-playback headset">
        <path name="low-latency-playback headphones" />
    </path>

    <path name="low-latency-playback speaker-and-headphones">
        <path name="low-latency-playback headphones" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe-and-headphones">
        <path name="low-latency-playback headphones" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback resume">
    </path>

    <path name="low-latency-playback speaker-and-bt-sco">
        <path name="low-latency-playback bt-sco" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe-and-bt-sco">
        <path name="low-latency-playback bt-sco" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-and-bt-sco-wb">
        <path name="low-latency-playback bt-sco-wb" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe-and-bt-sco-wb">
        <path name="low-latency-playback bt-sco-wb" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-and-bt-sco-swb">
        <path name="low-latency-playback bt-sco-swb" />
        <path name="low-latency-playback" />
    </path>

    <path name="audio-ull-playback">
    </path>

    <path name="audio-ull-playback speaker-protected">
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-safe">
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback headphones">
    </path>

    <path name="audio-ull-playback headset">
        <path name="audio-ull-playback headphones" />
    </path>

    <path name="audio-ull-playback speaker-and-headphones">
        <path name="audio-ull-playback" />
        <path name="audio-ull-playback headphones" />
    </path>

    <path name="audio-ull-playback speaker-safe-and-headphones">
        <path name="audio-ull-playback" />
        <path name="audio-ull-playback headphones" />
    </path>

    <path name="audio-ull-playback display-port">
    </path>

    <path name="audio-ull-playback display-port1">
    </path>

    <path name="audio-ull-playback bt-sco">
    </path>

    <path name="audio-ull-playback bt-sco-wb">
        <path name="audio-ull-playback bt-sco" />
    </path>

    <path name="audio-ull-playback bt-sco-swb">
        <path name="audio-ull-playback bt-sco" />
    </path>

    <path name="audio-ull-playback speaker-and-display-port">
        <path name="audio-ull-playback display-port" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-and-display-port1">
        <path name="audio-ull-playback display-port1" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback afe-proxy">
    </path>

    <path name="audio-ull-playback usb-headphones">
    </path>

    <path name="audio-ull-playback usb-headset">
    </path>

    <path name="audio-ull-playback speaker-and-bt-sco">
        <path name="audio-ull-playback bt-sco" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-safe-and-bt-sco">
        <path name="audio-ull-playback bt-sco" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-and-bt-sco-wb">
        <path name="audio-ull-playback bt-sco-wb" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-safe-and-bt-sco-wb">
        <path name="audio-ull-playback bt-sco-wb" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-and-bt-sco-swb">
        <path name="audio-ull-playback bt-sco-swb" />
        <path name="audio-ull-playback" />
    </path>

    <path name="multi-channel-playback display-port">
    </path>

    <path name="multi-channel-playback display-port1">
    </path>

    <path name="multi-channel-playback afe-proxy">
    </path>

    <path name="compress-offload-playback">
    </path>

    <path name="compress-offload-playback speaker-protected">
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe">
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback display-port">
    </path>

    <path name="compress-offload-playback display-port1">
    </path>

    <path name="silence-playback display-port">
    </path>

    <path name="silence-playback display-port1">
    </path>

    <path name="compress-offload-playback bt-sco">
    </path>

    <path name="compress-offload-playback bt-sco-wb">
        <path name="compress-offload-playback bt-sco" />
    </path>

    <path name="compress-offload-playback bt-sco-swb">
        <path name="compress-offload-playback bt-sco" />
    </path>

    <path name="compress-offload-playback speaker-and-display-port">
        <path name="compress-offload-playback display-port" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-and-display-port1">
        <path name="compress-offload-playback display-port1" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback afe-proxy">
    </path>

    <path name="compress-offload-playback usb-headphones">
    </path>

    <path name="compress-offload-playback usb-headset">
    </path>

    <path name="compress-offload-playback speaker-and-usb-headphones">
        <path name="compress-offload-playback usb-headphones" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe-and-usb-headphones">
        <path name="compress-offload-playback usb-headphones" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback headphones">
    </path>

    <path name="compress-offload-playback headset">
        <path name="compress-offload-playback headphones" />
    </path>

    <path name="compress-offload-playback headphones-44.1">
    </path>

    <path name="compress-offload-playback headphones-dsd">
    </path>

    <path name="compress-offload-playback speaker-and-headphones">
        <path name="compress-offload-playback headphones" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe-and-headphones">
        <path name="compress-offload-playback headphones" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-and-bt-sco">
        <path name="compress-offload-playback bt-sco" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe-and-bt-sco">
        <path name="compress-offload-playback bt-sco" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-and-bt-sco-wb">
        <path name="compress-offload-playback bt-sco-wb" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe-and-bt-sco-wb">
        <path name="compress-offload-playback bt-sco-wb" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-and-bt-sco-swb">
        <path name="compress-offload-playback bt-sco-swb" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback2">
    </path>

    <path name="compress-offload-playback2 display-port">
    </path>

    <path name="compress-offload-playback2 display-port1">
    </path>

    <path name="compress-offload-playback2 bt-sco">
    </path>

    <path name="compress-offload-playback2 bt-sco-wb">
        <path name="compress-offload-playback2 bt-sco" />
    </path>

    <path name="compress-offload-playback2 bt-sco-swb">
        <path name="compress-offload-playback2 bt-sco" />
    </path>

    <path name="compress-offload-playback2 speaker-and-display-port">
        <path name="compress-offload-playback2 display-port" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-and-display-port1">
        <path name="compress-offload-playback2 display-port1" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 afe-proxy">
    </path>

    <path name="compress-offload-playback2 usb-headphones">
    </path>

    <path name="compress-offload-playback2 usb-headset">
    </path>

    <path name="compress-offload-playback2 speaker-and-usb-headphones">
        <path name="compress-offload-playback2 usb-headphones" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-safe-and-usb-headphones">
        <path name="compress-offload-playback2 usb-headphones" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 headphones">
    </path>

    <path name="compress-offload-playback2 headset">
        <path name="compress-offload-playback2 headphones" />
    </path>

    <path name="compress-offload-playback2 headphones-44.1">

    </path>

    <path name="compress-offload-playback2 headphones-dsd">
    </path>

    <path name="compress-offload-playback2 speaker-and-headphones">
        <path name="compress-offload-playback2 headphones" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-safe-and-headphones">
        <path name="compress-offload-playback2 headphones" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-and-bt-sco">
        <path name="compress-offload-playback2 bt-sco" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-safe-and-bt-sco">
        <path name="compress-offload-playback2 bt-sco" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback2 bt-sco-wb" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-safe-and-bt-sco-wb">
        <path name="compress-offload-playback2 bt-sco-wb" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback2 bt-sco-swb" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback3">
    </path>

    <path name="compress-offload-playback3 display-port">
    </path>

    <path name="compress-offload-playback3 display-port1">
    </path>

    <path name="compress-offload-playback3 bt-sco">
    </path>

    <path name="compress-offload-playback3 bt-sco-wb">
        <path name="compress-offload-playback3 bt-sco" />
    </path>

    <path name="compress-offload-playback3 bt-sco-swb">
        <path name="compress-offload-playback3 bt-sco" />
    </path>

    <path name="compress-offload-playback3 speaker-and-display-port">
        <path name="compress-offload-playback3 display-port" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback3 speaker-and-display-port1">
        <path name="compress-offload-playback3 display-port1" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback3 afe-proxy">
    </path>

    <path name="compress-offload-playback3 usb-headphones">
    </path>

    <path name="compress-offload-playback3 usb-headset">
    </path>

    <path name="compress-offload-playback3 speaker-and-usb-headphones">
        <path name="compress-offload-playback3 usb-headphones" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback3 headphones">
    </path>

    <path name="compress-offload-playback3 headset">
        <path name="compress-offload-playback3 headphones" />
    </path>

    <path name="compress-offload-playback3 headphones-44.1">
    </path>

    <path name="compress-offload-playback3 headphones-dsd">
    </path>

    <path name="compress-offload-playback3 speaker-and-headphones">
        <path name="compress-offload-playback3 headphones" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback3 speaker-and-bt-sco">
        <path name="compress-offload-playback3 bt-sco" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback3 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback3 bt-sco-wb" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback3 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback3 bt-sco-swb" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback4">
    </path>

    <path name="compress-offload-playback4 display-port">
    </path>

    <path name="compress-offload-playback4 display-port1">
    </path>

    <path name="compress-offload-playback4 bt-sco">
    </path>

    <path name="compress-offload-playback4 bt-sco-wb">
        <path name="compress-offload-playback4 bt-sco" />
    </path>

    <path name="compress-offload-playback4 bt-sco-swb">
        <path name="compress-offload-playback4 bt-sco" />
    </path>

    <path name="compress-offload-playback4 speaker-and-display-port">
        <path name="compress-offload-playback4 display-port" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback4 speaker-and-display-port1">
        <path name="compress-offload-playback4 display-port1" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback4 afe-proxy">
    </path>

    <path name="compress-offload-playback4 usb-headphones">
    </path>

    <path name="compress-offload-playback4 usb-headset">
    </path>

    <path name="compress-offload-playback4 speaker-and-usb-headphones">
        <path name="compress-offload-playback4 usb-headphones" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback4 headphones">
    </path>

    <path name="compress-offload-playback4 headset">
        <path name="compress-offload-playback4 headphones" />
    </path>

    <path name="compress-offload-playback4 headphones-44.1">
    </path>

    <path name="compress-offload-playback4 headphones-dsd">
    </path>

    <path name="compress-offload-playback4 speaker-and-headphones">
        <path name="compress-offload-playback4 headphones" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback4 speaker-and-bt-sco">
        <path name="compress-offload-playback4 bt-sco" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback4 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback4 bt-sco-wb" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback4 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback4 bt-sco-swb" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback5">
    </path>

    <path name="compress-offload-playback5 display-port">
    </path>

    <path name="compress-offload-playback5 display-port1">
    </path>

    <path name="compress-offload-playback5 bt-sco">
    </path>

    <path name="compress-offload-playback5 bt-sco-wb">
        <path name="compress-offload-playback5 bt-sco" />
    </path>

    <path name="compress-offload-playback5 bt-sco-swb">
        <path name="compress-offload-playback5 bt-sco" />
    </path>

    <path name="compress-offload-playback5 speaker-and-display-port">
        <path name="compress-offload-playback5 display-port" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback5 speaker-and-display-port1">
        <path name="compress-offload-playback5 display-port1" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback5 afe-proxy">
    </path>

    <path name="compress-offload-playback5 usb-headphones">
    </path>

    <path name="compress-offload-playback5 usb-headset">
    </path>

    <path name="compress-offload-playback5 speaker-and-usb-headphones">
        <path name="compress-offload-playback5 usb-headphones" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback5 headphones">
    </path>

    <path name="compress-offload-playback5 headset">
        <path name="compress-offload-playback5 headphones" />
    </path>

    <path name="compress-offload-playback5 headphones-44.1">
    </path>

    <path name="compress-offload-playback5 headphones-dsd">
    </path>

    <path name="compress-offload-playback5 speaker-and-headphones">
        <path name="compress-offload-playback5 headphones" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback5 speaker-and-bt-sco">
        <path name="compress-offload-playback5 bt-sco" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback5 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback5 bt-sco-wb" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback5 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback5 bt-sco-swb" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback6">
    </path>

    <path name="compress-offload-playback6 display-port">
    </path>

    <path name="compress-offload-playback6 display-port1">
    </path>

    <path name="compress-offload-playback6 bt-sco">
    </path>

    <path name="compress-offload-playback6 bt-sco-wb">
        <path name="compress-offload-playback6 bt-sco" />
    </path>

    <path name="compress-offload-playback6 bt-sco-swb">
        <path name="compress-offload-playback6 bt-sco" />
    </path>

    <path name="compress-offload-playback6 speaker-and-display-port">
        <path name="compress-offload-playback6 display-port" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback6 speaker-and-display-port1">
        <path name="compress-offload-playback6 display-port1" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback6 afe-proxy">
    </path>

    <path name="compress-offload-playback6 usb-headphones">
    </path>

    <path name="compress-offload-playback6 usb-headset">
    </path>

    <path name="compress-offload-playback6 speaker-and-usb-headphones">
        <path name="compress-offload-playback6 usb-headphones" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback6 headphones">
    </path>

    <path name="compress-offload-playback6 headset">
        <path name="compress-offload-playback6 headphones" />
    </path>

    <path name="compress-offload-playback6 headphones-44.1">
    </path>

    <path name="compress-offload-playback6 headphones-dsd">
    </path>

    <path name="compress-offload-playback6 speaker-and-headphones">
        <path name="compress-offload-playback6 headphones" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback6 speaker-and-bt-sco">
        <path name="compress-offload-playback6 bt-sco" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback6 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback6 bt-sco-wb" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback6 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback6 bt-sco-swb" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback7">
    </path>

    <path name="compress-offload-playback7 display-port">
    </path>

    <path name="compress-offload-playback7 display-port1">
    </path>

    <path name="compress-offload-playback7 bt-sco">
    </path>

    <path name="compress-offload-playback7 bt-sco-wb">
        <path name="compress-offload-playback7 bt-sco" />
    </path>

    <path name="compress-offload-playback7 bt-sco-swb">
        <path name="compress-offload-playback7 bt-sco" />
    </path>

    <path name="compress-offload-playback7 speaker-and-display-port">
        <path name="compress-offload-playback7 display-port" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback7 speaker-and-display-port1">
        <path name="compress-offload-playback7 display-port1" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback7 afe-proxy">
    </path>

    <path name="compress-offload-playback7 usb-headphones">
    </path>

    <path name="compress-offload-playback7 usb-headset">
    </path>

    <path name="compress-offload-playback7 speaker-and-usb-headphones">
        <path name="compress-offload-playback7 usb-headphones" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback7 headphones">
    </path>

    <path name="compress-offload-playback7 headset">
        <path name="compress-offload-playback7 headphones" />
    </path>

    <path name="compress-offload-playback7 headphones-44.1">
    </path>

    <path name="compress-offload-playback7 headphones-dsd">
    </path>

    <path name="compress-offload-playback7 speaker-and-headphones">
        <path name="compress-offload-playback7 headphones" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback7 speaker-and-bt-sco">
        <path name="compress-offload-playback7 bt-sco" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback7 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback7 bt-sco-wb" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback7 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback7 bt-sco-swb" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback8">
    </path>

    <path name="compress-offload-playback8 display-port">
    </path>

    <path name="compress-offload-playback8 display-port1">
    </path>

    <path name="compress-offload-playback8 bt-sco">
    </path>

    <path name="compress-offload-playback8 bt-sco-wb">
        <path name="compress-offload-playback8 bt-sco" />
    </path>

    <path name="compress-offload-playback8 bt-sco-swb">
        <path name="compress-offload-playback8 bt-sco" />
    </path>

    <path name="compress-offload-playback8 speaker-and-display-port">
        <path name="compress-offload-playback8 display-port" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback8 speaker-and-display-port1">
        <path name="compress-offload-playback8 display-port1" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback8 afe-proxy">
    </path>

    <path name="compress-offload-playback8 usb-headphones">
    </path>

    <path name="compress-offload-playback8 usb-headset">
    </path>

    <path name="compress-offload-playback8 speaker-and-usb-headphones">
        <path name="compress-offload-playback8 usb-headphones" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback8 headphones">
    </path>

    <path name="compress-offload-playback8 headset">
        <path name="compress-offload-playback8 headphones" />
    </path>

    <path name="compress-offload-playback8 headphones-44.1">
    </path>

    <path name="compress-offload-playback8 headphones-dsd">
    </path>

    <path name="compress-offload-playback8 speaker-and-headphones">
        <path name="compress-offload-playback8 headphones" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback8 speaker-and-bt-sco">
        <path name="compress-offload-playback8 bt-sco" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback8 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback8 bt-sco-wb" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback8 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback8 bt-sco-swb" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback9">
    </path>

    <path name="compress-offload-playback9 display-port">
    </path>

    <path name="compress-offload-playback9 display-port1">
    </path>

    <path name="compress-offload-playback9 bt-sco">
    </path>

    <path name="compress-offload-playback9 bt-sco-wb">
        <path name="compress-offload-playback9 bt-sco" />
    </path>

    <path name="compress-offload-playback9 bt-sco-swb">
        <path name="compress-offload-playback9 bt-sco" />
    </path>

    <path name="compress-offload-playback9 speaker-and-display-port">
        <path name="compress-offload-playback9 display-port" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="compress-offload-playback9 speaker-and-display-port1">
        <path name="compress-offload-playback9 display-port1" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="compress-offload-playback9 afe-proxy">
    </path>

    <path name="compress-offload-playback9 usb-headphones">
    </path>

    <path name="compress-offload-playback9 usb-headset">
    </path>

    <path name="compress-offload-playback9 speaker-and-usb-headphones">
        <path name="compress-offload-playback9 usb-headphones" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="compress-offload-playback9 headphones">
    </path>

    <path name="compress-offload-playback9 headset">
        <path name="compress-offload-playback9 headphones" />
    </path>

    <path name="compress-offload-playback9 headphones-44.1">
    </path>

    <path name="compress-offload-playback9 headphones-dsd">
    </path>

    <path name="compress-offload-playback9 speaker-and-headphones">
        <path name="compress-offload-playback9 headphones" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="compress-offload-playback9 speaker-and-bt-sco">
        <path name="compress-offload-playback9 bt-sco" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="compress-offload-playback9 speaker-and-bt-sco-wb">
        <path name="compress-offload-playback9 bt-sco-wb" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="compress-offload-playback9 speaker-and-bt-sco-swb">
        <path name="compress-offload-playback9 bt-sco-swb" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="audio-record">
    </path>

    <path name="audio-record usb-headset-mic">
    </path>

    <path name="audio-record bt-sco">
    </path>

    <path name="audio-record bt-sco-wb">
        <path name="audio-record bt-sco" />
    </path>

    <path name="audio-record bt-sco-swb">
        <path name="audio-record bt-sco" />
    </path>

    <path name="audio-record headset-mic">
    </path>

    <path name="audio-record capture-fm">
    </path>

    <path name="audio-record-compress">
    </path>

    <path name="audio-record-compress bt-sco">
    </path>

    <path name="audio-record-compress bt-sco-wb">
        <path name="audio-record-compress bt-sco" />
    </path>

    <path name="audio-record-compress bt-sco-swb">
        <path name="audio-record-compress bt-sco" />
    </path>

    <path name="audio-record-compress usb-headset-mic">
    </path>

    <path name="audio-record-compress headset-mic">
    </path>

    <path name="audio-record-compress2">
    </path>

    <path name="audio-record-compress2 bt-sco">
    </path>

    <path name="audio-record-compress bt-sco-wb">
        <path name="audio-record-compress2 bt-sco" />
    </path>

    <path name="audio-record-compress2 bt-sco-swb">
        <path name="audio-record-compress2 bt-sco" />
    </path>

    <path name="audio-record-compress2 usb-headset-mic">
    </path>

    <path name="audio-record-compress2 headset-mic">
    </path>

    <path name="low-latency-record">
    </path>

    <path name="low-latency-record bt-sco">
    </path>

    <path name="low-latency-record bt-sco-wb">
        <path name="low-latency-record bt-sco" />
    </path>

    <path name="low-latency-record bt-sco-swb">
        <path name="low-latency-record bt-sco" />
    </path>

    <path name="low-latency-record usb-headset-mic">
    </path>

    <path name="low-latency-record headset-mic">
    </path>

    <path name="low-latency-record capture-fm">
    </path>

    <path name="fm-virtual-record capture-fm">
    </path>

    <path name="play-fm">
    </path>

    <path name="play-fm headphones">
    </path>

    <path name="play-fm headset">
        <path name="play-fm headphones" />
    </path>

    <path name="incall-rec-uplink">
    </path>

    <path name="incall-rec-uplink bt-sco">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink bt-sco-wb">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink bt-sco-swb">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink usb-headset-mic">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink afe-proxy">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink headset-mic">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink call-proxy-in">
        <path name="incall-rec-uplink" />
    </path>

    <path name="incall-rec-uplink-compress">
    </path>

    <path name="incall-rec-uplink-compress bt-sco">
        <path name="incall-rec-uplink-compress" />
    </path>

    <path name="incall-rec-uplink-compress bt-sco-wb">
        <path name="incall-rec-uplink-compress" />
    </path>

    <path name="incall-rec-uplink-compress bt-sco-swb">
        <path name="incall-rec-uplink-compress" />
    </path>

    <path name="incall-rec-uplink-compress usb-headset-mic">
        <path name="incall-rec-uplink-compress" />
    </path>

    <path name="incall-rec-uplink-compress afe-proxy">
        <path name="incall-rec-uplink-compress" />
    </path>

    <path name="incall-rec-uplink-compress headset-mic">
        <path name="incall-rec-uplink-compress" />
    </path>

    <path name="incall-rec-downlink">
    </path>

    <path name="incall-rec-downlink bt-sco">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink bt-sco-wb">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink bt-sco-swb">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink usb-headset-mic">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink afe-proxy">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink call-proxy-in">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink headset-mic">
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-downlink-compress">
    </path>

    <path name="incall-rec-downlink-compress bt-sco">
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-downlink-compress bt-sco-wb">
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-downlink-compress bt-sco-swb">
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-downlink-compress usb-headset-mic">
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-downlink-compress afe-proxy">
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-downlink-compress headset-mic">
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink">
        <path name="incall-rec-uplink" />
        <path name="incall-rec-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink bt-sco">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink bt-sco-wb">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink bt-sco-swb">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink usb-headset-mic">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink afe-proxy">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink call-proxy-in">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink headset-mic">
        <path name="incall-rec-uplink-and-downlink" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress">
        <path name="incall-rec-uplink-compress" />
        <path name="incall-rec-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress bt-sco">
        <path name="incall-rec-uplink-and-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress bt-sco-wb">
        <path name="incall-rec-uplink-and-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress bt-sco-swb">
        <path name="incall-rec-uplink-and-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress usb-headset-mic">
        <path name="incall-rec-uplink-and-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress afe-proxy">
        <path name="incall-rec-uplink-and-downlink-compress" />
    </path>

    <path name="incall-rec-uplink-and-downlink-compress headset-mic">
        <path name="incall-rec-uplink-and-downlink-compress" />
    </path>

    <path name="hfp-sco">
    </path>

    <path name="hfp-sco headphones">
    </path>

   <path name="hfp-sco-wb">
        <path name="hfp-sco" />
   </path>

    <path name="hfp-sco-wb headphones">
        <path name="hfp-sco headphones" />
    </path>

    <path name="compress-voip-call">
    </path>

    <path name="compress-voip-call bt-a2dp">
    </path>

    <path name="compress-voip-call headphones">
    </path>

    <path name="compress-voip-call headset">
    </path>

    <path name="compress-voip-call bt-sco">
    </path>

    <path name="compress-voip-call bt-sco-wb">
        <path name="compress-voip-call bt-sco" />
    </path>

    <path name="compress-voip-call bt-sco-swb">
        <path name="compress-voip-call bt-sco" />
    </path>

    <path name="compress-voip-call afe-proxy">
    </path>

    <path name="compress-voip-call usb-headphones">
    </path>

    <path name="compress-voip-call usb-headset">
    </path>

    <path name="voicemmode1-call">
    </path>

    <path name="voicemmode1-call hearing-aid">
    </path>

    <path name="voicemmode1-call call-proxy">
    </path>

    <path name="voicemmode1-call headphones">
    </path>

    <path name="voicemmode1-call headset">
    </path>

    <path name="voicemmode1-call bt-sco">
    </path>

    <path name="voicemmode1-call bt-sco-wb">
        <path name="voicemmode1-call bt-sco" />
    </path>

    <path name="voicemmode1-call bt-sco-swb">
        <path name="voicemmode1-call bt-sco" />
    </path>

    <path name="voicemmode1-call afe-proxy">
    </path>

    <path name="voicemmode1-call usb-headphones">
    </path>

    <path name="voicemmode1-call usb-headset">
    </path>

    <path name="voicemmode1-call display-port-and-usb-headset-mic">
    </path>

    <path name="voicemmode1-call display-port1-and-usb-headset-mic">
    </path>

    <path name="voicemmode1-call display-port">
    </path>

    <path name="voicemmode1-call display-port1">
    </path>

    <path name="voicemmode2-call">
    </path>

    <path name="voicemmode2-call headphones">
    </path>

    <path name="voicemmode2-call headset">
    </path>

    <path name="voicemmode2-call bt-sco">
    </path>

    <path name="voicemmode2-call bt-sco-wb">
        <path name="voicemmode2-call bt-sco" />
    </path>

    <path name="voicemmode2-call bt-sco-swb">
        <path name="voicemmode2-call bt-sco" />
    </path>

    <path name="voicemmode2-call afe-proxy">
    </path>

    <path name="voicemmode2-call usb-headphones">
    </path>

    <path name="voicemmode2-call usb-headset">
    </path>

    <path name="voicemmode2-call display-port-and-usb-headset-mic">
    </path>

    <path name="voicemmode2-call display-port1-and-usb-headset-mic">
    </path>

    <path name="voicemmode2-call display-port">
    </path>

    <path name="voicemmode2-call display-port1">
    </path>

    <path name="voicemmode2-call hearing-aid">
    </path>

    <path name="voicemmode2-call call-proxy">
    </path>

    <!-- VoIP Rx settings -->
    <path name="audio-playback-voip">
    </path>

    <path name="audio-playback-voip headphones">
    </path>

    <path name="audio-playback-voip headset">
        <path name="audio-playback-voip headphones" />
    </path>

    <path name="audio-playback-voip bt-sco">
    </path>

    <path name="audio-playback-voip bt-sco-wb">
        <path name="audio-playback-voip bt-sco" />
    </path>

    <path name="audio-playback-voip bt-sco-swb">
        <path name="audio-playback-voip bt-sco" />
    </path>

    <path name="audio-playback-voip bt-a2dp">
    </path>

    <path name="audio-playback-voip afe-proxy">
    </path>

    <path name="audio-playback-voip usb-headphones">
    </path>

    <path name="audio-playback-voip usb-headset">
    </path>

    <path name="audio-playback-voip display-port">
    </path>

    <path name="audio-playback-voip display-port1">
    </path>

    <path name="audio-playback-voip speaker-and-display-port">
        <path name="audio-playback-voip display-port" />
        <path name="audio-playback-voip" />
    </path>

    <path name="audio-playback-voip speaker-and-display-port1">
        <path name="audio-playback-voip display-port1" />
        <path name="audio-playback-voip" />
    </path>

    <!-- VoIP Tx settings -->
    <path name="audio-record-voip">
    </path>

    <path name="audio-record-voip usb-headset-mic">
    </path>

    <path name="audio-record-voip bt-sco">
    </path>

    <path name="audio-record-voip bt-sco-wb">
        <path name="audio-record-voip bt-sco" />
    </path>

    <path name="audio-record-voip bt-sco-swb">
        <path name="audio-record-voip bt-sco" />
    </path>

    <path name="audio-record-voip headset-mic">
    </path>

   <path name="spkr-rx-calib">
    </path>

    <path name="spkr-vi-record">
    </path>

    <path name="audio-with-haptics-playback speaker-and-haptics">
    </path>

    <path name="audio-with-haptics-playback headphones-and-haptics">
    </path>

    <!-- These are actual sound device specific mixer settings -->
    <path name="amic1">
        <ctl name="TX DEC2 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX2" value="SWR_MIC0" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="ADC1 ChMap" value="SWRM_TX1_CH1" />
        <ctl name="ADC1_MIXER Switch" value="1" />
    </path>

    <path name="amic2">
        <ctl name="TX DEC0 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX0" value="SWR_MIC5" />
        <ctl name="DEC0_BCS Switch" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="ADC2 MUX" value="INP2" />
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2" />
        <ctl name="MBHC ChMap" value="SWRM_TX3_CH3" />
        <ctl name="TX1 MODE" value="ADC_LP" />
        <ctl name="BCS Channel" value="CH10" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_MIXER Switch" value="1" />
    </path>


    <path name="amic3">
        <ctl name="TX DEC2 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX2" value="SWR_MIC1" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="ADC2 ChMap" value="SWRM_TX1_CH2" />
        <ctl name="ADC2 MUX" value="INP3" />
        <ctl name="ADC2_BCS Disable" value="1" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_MIXER Switch" value="1" />
    </path>

    <path name="dmic1">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC0" />
    </path>

    <path name="dmic2">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
    </path>

    <path name="dmic3">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC2" />
    </path>

    <path name="dmic4">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC3" />
    </path>

    <path name="dmic5">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC4" />
    </path>

    <path name="dmic6">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC5" />
    </path>

    <path name="speaker">
        <ctl name="WSA RX0 MUX" value="AIF1_PB" />
        <ctl name="WSA RX1 MUX" value="AIF1_PB" />
        <ctl name="WSA_RX0 INP0" value="RX0" />
        <ctl name="WSA_RX1 INP0" value="RX1" />
        <ctl name="WSA_COMP1 Switch" value="1" />
        <ctl name="WSA_COMP2 Switch" value="1" />
        <ctl name="SpkrLeft COMP Switch" value="1" />
        <ctl name="SpkrLeft VISENSE Switch" value="1" />
        <ctl name="SpkrLeft SWR DAC_Port Switch" value="1" />
        <ctl name="SpkrRight COMP Switch" value="1" />
        <ctl name="SpkrRight VISENSE Switch" value="1" />
        <ctl name="SpkrRight SWR DAC_Port Switch" value="1" />
    </path>

    <path name="speaker-and-haptics">
        <ctl name="WSA RX0 MUX" value="AIF1_PB" />
        <ctl name="WSA RX1 MUX" value="AIF1_PB" />
        <ctl name="WSA_RX0 INP0" value="RX0" />
        <ctl name="WSA_RX1 INP0" value="RX1" />
        <ctl name="WSA_COMP1 Switch" value="1" />
        <ctl name="WSA_COMP2 Switch" value="1" />
        <ctl name="SpkrLeft COMP Switch" value="1" />
        <ctl name="SpkrLeft VISENSE Switch" value="1" />
        <ctl name="SpkrLeft SWR DAC_Port Switch" value="1" />
        <ctl name="SpkrRight COMP Switch" value="1" />
        <ctl name="SpkrRight VISENSE Switch" value="1" />
        <ctl name="SpkrRight SWR DAC_Port Switch" value="1" />
        <ctl name="SWR DAC_Port Switch" value="1" />
    </path>

    <path name="speaker-mono">
        <ctl name="WSA RX0 MUX" value="AIF1_PB" />
        <ctl name="WSA_RX0 INP0" value="RX0" />
        <ctl name="WSA_COMP1 Switch" value="1" />
        <ctl name="SpkrLeft COMP Switch" value="1" />
        <ctl name="SpkrLeft VISENSE Switch" value="1" />
        <ctl name="SpkrLeft SWR DAC_Port Switch" value="1" />
    </path>

    <path name="speaker-mono-2">
        <ctl name="WSA RX1 MUX" value="AIF1_PB" />
        <ctl name="WSA_RX1 INP0" value="RX1" />
        <ctl name="WSA_COMP2 Switch" value="1" />
        <ctl name="SpkrRight COMP Switch" value="1" />
        <ctl name="SpkrRight VISENSE Switch" value="1" />
        <ctl name="SpkrRight SWR DAC_Port Switch" value="1" />
    </path>

    <path name="speaker-vbat-mono">
       <path name="speaker-mono" />
       <ctl name="WSA_RX INT0 VBAT WSA RX0 VBAT Enable" value="1" />
    </path>

    <path name="speaker-vbat-mono-2">
       <path name="speaker-mono-2" />
       <ctl name="WSA_RX INT1 VBAT WSA RX1 VBAT Enable" value="1" />
    </path>

    <path name="speaker-vbat">
       <path name="speaker" />
       <ctl name="WSA_RX INT0 VBAT WSA RX0 VBAT Enable" value="1" />
       <ctl name="WSA_RX INT1 VBAT WSA RX1 VBAT Enable" value="1" />
    </path>

    <path name="speaker-hdk">
        <path name="speaker-mono" />
    </path>

    <path name="speaker-fluid">
        <path name="speaker-mono" />
    </path>

    <path name="speaker-liquid">
        <path name="speaker" />
    </path>

    <path name="speaker-safe">
        <path name="speaker-mono"/>
    </path>

    <path name="sidetone-iir">
        <ctl name="IIR0 Enable Band1" value="1" />
        <ctl name="IIR0 Enable Band2" value="1" />
        <ctl name="IIR0 Enable Band3" value="1" />
        <ctl name="IIR0 Enable Band4" value="1" />
        <ctl name="IIR0 Enable Band5" value="1" />
    </path>

    <path name="sidetone-headphones">
        <path name="sidetone-iir" />
        <ctl name="IIR0 INP0 Volume" value="40" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
        <ctl name="RX INT0 MIX2 INP" value="SRC0" />
        <ctl name="RX INT1 MIX2 INP" value="SRC0" />
    </path>

    <path name="sidetone-handset">
        <path name="sidetone-iir" />
        <ctl name="IIR0 INP0 Volume" value="54" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
        <ctl name="RX INT2 MIX2 INP" value="SRC0" />
        <ctl name="WSA_RX0 INT0 SIDETONE MIX" value="SRC0" />
    </path>

    <path name="afe-sidetone">
        <ctl name="Voice Sidetone Enable" value="1" />
    </path>

    <path name="speaker-mic">
        <path name="dmic5" />
    </path>

    <path name="speaker-mic-liquid">
        <path name="dmic5" />
    </path>

    <path name="speaker-mic-sbc">
    </path>

    <path name="speaker-protected">
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="1" />
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="1" />
        <path name="speaker" />
    </path>

    <path name="voice-speaker-protected">
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="1" />
        <path name="speaker-mono" />
    </path>

    <path name="voice-speaker-2-protected">
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="1" />
        <path name="speaker-mono-2" />
    </path>

    <path name="voice-speaker-stereo-protected">
        <path name="speaker-protected" />
    </path>

    <path name="speaker-protected-vbat">
        <path name="speaker-protected" />
        <ctl name="WSA_RX INT0 VBAT WSA RX0 VBAT Enable" value="1" />
        <ctl name="WSA_RX INT1 VBAT WSA RX1 VBAT Enable" value="1" />
    </path>

    <path name="voice-speaker-protected-vbat">
        <path name="voice-speaker-protected" />
        <ctl name="WSA_RX INT0 VBAT WSA RX0 VBAT Enable" value="1" />
    </path>

    <path name="voice-speaker-2-protected-vbat">
        <path name="voice-speaker-2-protected" />
        <ctl name="WSA_RX INT1 VBAT WSA RX1 VBAT Enable" value="1" />
    </path>

    <path name="vi-feedback">
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="1" />
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="1" />
    </path>

    <path name="vi-feedback-mono-1">
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="1" />
    </path>

    <path name="vi-feedback-mono-2">
        <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="1" />
    </path>

    <path name="handset">
        <ctl name="WSA RX0 MUX" value="AIF1_PB" />
        <ctl name="WSA_RX0 INP0" value="RX0" />
        <ctl name="WSA_COMP1 Switch" value="1" />
        <ctl name="SpkrLeft COMP Switch" value="1" />
        <ctl name="SpkrLeft VISENSE Switch" value="1" />
        <ctl name="SpkrLeft SWR DAC_Port Switch" value="1" />
        <ctl name="EAR SPKR PA Gain" value="G_6_DB" />
    </path>

    <path name="handset-mic">
        <path name="dmic2" />
    </path>

    <path name="headphones">
        <ctl name="RX_MACRO RX0 MUX" value="AIF1_PB" />
        <ctl name="RX_MACRO RX1 MUX" value="AIF1_PB" />
        <ctl name="RX INT0_1 MIX1 INP0" value="RX0" />
        <ctl name="RX INT1_1 MIX1 INP0" value="RX1" />
        <ctl name="RX INT0 DEM MUX" value="CLSH_DSM_OUT" />
        <ctl name="RX INT1 DEM MUX" value="CLSH_DSM_OUT" />
        <ctl name="RX_COMP1 Switch" value="1" />
        <ctl name="RX_COMP2 Switch" value="1" />
        <ctl name="HPH_L Switch" value="1" />
        <ctl name="HPH_R Switch" value="1" />
        <ctl name="HPHL_COMP Switch" value="1" />
        <ctl name="HPHR_COMP Switch" value="1" />
        <ctl name="HPHL_RDAC Switch" value="1" />
        <ctl name="HPHR_RDAC Switch" value="1" />
    </path>

    <path name="headphones-and-haptics">
        <ctl name="RX_MACRO RX0 MUX" value="AIF1_PB" />
        <ctl name="RX_MACRO RX1 MUX" value="AIF1_PB" />
        <ctl name="RX INT0_1 MIX1 INP0" value="RX0" />
        <ctl name="RX INT1_1 MIX1 INP0" value="RX1" />
        <ctl name="RX INT0 DEM MUX" value="CLSH_DSM_OUT" />
        <ctl name="RX INT1 DEM MUX" value="CLSH_DSM_OUT" />
        <ctl name="RX_COMP1 Switch" value="1" />
        <ctl name="RX_COMP2 Switch" value="1" />
        <ctl name="HPHL_COMP Switch" value="1" />
        <ctl name="HPHR_COMP Switch" value="1" />
        <ctl name="HPHL_RDAC Switch" value="1" />
        <ctl name="HPHR_RDAC Switch" value="1" />
        <ctl name="SWR DAC_Port Switch" value="1" />
    </path>

    <path name="headphones-44.1">
        <path name="headphones" />
    </path>

    <path name="headphones-hifi-filter">
        <path name="headphones" />
    </path>

    <path name="hph-highquality-mode">
    </path>

    <path name="hph-lowpower-mode">
    </path>

    <path name="true-native-mode">
    </path>

    <path name="line">
        <path name="headphones" />
    </path>

    <path name="headset-mic">
        <ctl name="TX_DEC0 Volume" value="84" />
        <path name="amic2" />
    </path>

    <path name="headset-mic-liquid">
        <path name="amic2" />
    </path>

    <path name="voice-handset">
        <path name="handset" />
    </path>

    <path name="voice-handset-tmus">
        <path name="handset" />
    </path>

    <path name="voice-handset-hdk">
        <path name="handset" />
    </path>

    <path name="voice-handset-tmus-hdk">
        <path name="handset" />
    </path>

    <path name="voice-speaker">
        <path name="speaker-mono" />
    </path>

    <path name="voice-speaker-stereo">
        <path name="speaker" />
    </path>

    <path name="voice-speaker-2">
        <path name="speaker-mono-2" />
    </path>

    <path name="voice-speaker-hdk">
        <path name="speaker-mono" />
    </path>

    <path name="voice-speaker-fluid">
        <path name="speaker-fluid" />
    </path>

    <path name="voice-speaker-vbat">
        <path name="speaker-vbat-mono" />
    </path>

    <path name="voice-speaker-2-vbat">
        <path name="speaker-vbat-mono-2" />
    </path>

    <path name="voice-speaker-mic">
        <path name="speaker-mic" />
    </path>

    <path name="voice-headphones">
        <path name="headphones" />
    </path>

    <path name="voice-headset">
        <path name="headphones" />
    </path>

    <path name="voice-line">
        <path name="voice-headphones" />
    </path>

    <path name="voice-headset-mic">
        <path name="headset-mic" />
    </path>

    <path name="speaker-and-headphones">
        <path name="headphones" />
        <path name="speaker" />
    </path>

    <path name="speaker-and-headphones-hifi-filter">
        <path name="headphones" />
        <path name="speaker" />
    </path>

    <path name="speaker-safe-and-headphones">
        <path name="headphones" />
        <path name="speaker-safe" />
    </path>

    <path name="speaker-and-line">
        <path name="speaker-and-headphones" />
    </path>

    <path name="speaker-and-headphones-liquid">
        <path name="headphones" />
        <path name="speaker" />
    </path>

    <path name="speaker-and-line-liquid">
        <path name="speaker-and-headphones-liquid" />
    </path>

    <path name="usb-headphones">
    </path>

    <path name="usb-headset">
    </path>

    <path name="afe-proxy">
    </path>

    <path name="display-port">
    </path>

    <path name="display-port1">
    </path>

    <path name="call-proxy">
    </path>

    <path name="call-proxy-in">
    </path>

    <path name="speaker-and-usb-headphones">
        <path name="speaker" />
        <path name="usb-headphones" />
    </path>

    <path name="speaker-safe-and-usb-headphones">
        <path name="speaker-safe" />
        <path name="usb-headphones" />
    </path>

    <path name="speaker-and-display-port">
        <path name="speaker" />
        <path name="display-port" />
    </path>

    <path name="speaker-and-display-port1">
        <path name="speaker" />
        <path name="display-port1" />
    </path>

    <path name="voice-rec-mic">
        <path name="handset-mic" />
    </path>

    <path name="camcorder-mic">
        <path name="handset-mic" />
    </path>

    <path name="bt-sco-headset">
    </path>

    <path name="bt-sco-mic">
    </path>

    <path name="bt-sco-headset-wb">
    </path>

    <path name="bt-sco-mic-wb">
    </path>

    <path name="bt-sco-headset-swb">
    </path>

    <path name="bt-sco-mic-swb">
    </path>

    <path name="usb-headset-mic">
    </path>

    <path name="capture-fm">
    </path>

    <path name="va-mic-mono">
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC4" />
    </path>

    <path name="va-mic-dmic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="Two" />
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC1 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC4" />
        <ctl name="VA DMIC MUX1" value="DMIC1" />
    </path>

    <path name="va-mic-tmic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="Three" />
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC1 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC2 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC1" />
        <ctl name="VA DMIC MUX1" value="DMIC2" />
        <ctl name="VA DMIC MUX2" value="DMIC5" />
    </path>

    <path name="va-mic-qmic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="Four" />
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC1 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC2 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC3 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC1" />
        <ctl name="VA DMIC MUX1" value="DMIC2" />
        <ctl name="VA DMIC MUX2" value="DMIC3" />
        <ctl name="VA DMIC MUX3" value="DMIC5" />
    </path>

    <path name="va-mic">
        <path name="va-mic-mono" />
    </path>

    <path name="headset-va-mic">
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA DEC0 MUX" value="SWR_MIC" />
        <ctl name="VA SMIC MUX0" value="SWR_MIC5" />
        <ctl name="TX1 MODE" value="ADC_LP" />
        <ctl name="ADC2 MUX" value="INP2" />
        <ctl name="VA_DEC0 MODE" value="ADC_LOW_PWR" />
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_BCS Disable" value="1" />
        <ctl name="ADC2_MIXER Switch" value="1" />
    </path>


    <!-- Dual MIC devices -->
    <path name="handset-dmic-endfire">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC1" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC2" />
    </path>

    <path name="speaker-dmic-endfire">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC3" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
    </path>

    <path name="dmic-endfire">
        <path name="handset-dmic-endfire" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
    </path>

    <path name="dmic-endfire-liquid">
        <path name="handset-dmic-endfire" />
        <ctl name="IIR0 INP0 MUX" value="DEC7" />
    </path>

    <path name="handset-stereo-dmic-ef">
        <path name="handset-dmic-endfire" />
    </path>

    <path name="speaker-stereo-dmic-ef">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-dmic-ef-tmus">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-speaker-dmic-ef">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-rec-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-rec-dmic-ef-fluence">
        <path name="dmic-endfire" />
    </path>

    <path name="hearing-aid-mic">
        <path name="voice-speaker-mic"/>
    </path>

    <path name="handset-stereo-dmic-ef-liquid">
        <path name="handset-dmic-endfire" />
    </path>

    <path name="speaker-stereo-dmic-ef-liquid">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-dmic-ef-liquid-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="voice-speaker-dmic-ef-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="voice-rec-dmic-ef-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="voice-rec-dmic-ef-fluence-liquid">
        <path name="dmic-endfire-liquid" />
    </path>
    <path name="speaker-dmic-broadside">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC5" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
    </path>

    <path name="dmic-broadside">
        <path name="speaker-dmic-broadside" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
    </path>

    <path name="voice-speaker-dmic-broadside">
        <path name="dmic-broadside" />
    </path>

    <!-- Tri MIC devices -->
    <path name="three-mic">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC2" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX3" value="DMIC3" />
    </path>

    <path name="speaker-tmic">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC4" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX3" value="DMIC2" />
    </path>

    <path name="voice-speaker-tmic">
        <path name="speaker-tmic" />
    </path>

    <!-- Quad MIC devices -->
    <path name="speaker-qmic">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC4" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX3" value="DMIC2" />
        <ctl name="TX_AIF1_CAP Mixer DEC4" value="1" />
        <ctl name="TX DMIC MUX4" value="DMIC3" />
    </path>

    <path name="speaker-qmic-liquid">
    </path>

    <path name="voice-speaker-qmic">
        <path name="speaker-qmic" />
    </path>

    <path name="quad-mic">
        <path name="speaker-qmic" />
    </path>

    <path name="voice-speaker-qmic-liquid">
        <path name="speaker-qmic-liquid" />
    </path>

    <path name="quad-mic-liquid">
        <path name="speaker-qmic-liquid" />
    </path>

    <!-- TTY devices -->

    <path name="tty-headphones">
        <ctl name="RX_MACRO RX0 MUX" value="AIF1_PB" />
        <ctl name="RX INT0_1 MIX1 INP0" value="RX0" />
        <ctl name="RX INT0 DEM MUX" value="CLSH_DSM_OUT" />
        <ctl name="RX_COMP1 Switch" value="1" />
        <ctl name="HPHL_COMP Switch" value="1" />
        <ctl name="HPHL_RDAC Switch" value="1" />
    </path>

    <path name="voice-tty-full-headphones">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-full-headset">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-vco-headphones">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-vco-headset">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-hco-handset">
        <path name="handset" />
    </path>


    <path name="voice-tty-hco-handset-hdk">
        <path name="handset" />
    </path>

    <path name="voice-tty-full-headset-mic">
        <path name="amic2" />
        <ctl name="ADC2 Volume" value="0" />
        <ctl name="TX_DEC5 Volume" value="84" />
    </path>

    <path name="voice-tty-hco-headset-mic">
        <ctl name="TX DEC6 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX6" value="SWR_MIC5" />
        <ctl name="TX_CDC_DMA_TX_3 Channels" value="One" />
        <ctl name="TX_AIF1_CAP Mixer DEC6" value="1" />
        <ctl name="ADC2 MUX" value="INP2" />
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2" />
        <ctl name="TX1 MODE" value="ADC_LP" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_MIXER Switch" value="1" />
    </path>

    <path name="voice-tty-vco-handset-mic">
        <path name="dmic3" />
    </path>

    <path name="unprocessed-handset-mic">
        <path name="handset-mic" />
    </path>

    <path name="unprocessed-mic">
        <path name="unprocessed-handset-mic" />
    </path>

    <path name="unprocessed-stereo-mic">
        <path name="voice-rec-dmic-ef" />
    </path>

    <path name="unprocessed-three-mic">
        <path name="three-mic" />
    </path>

    <path name="unprocessed-headset-mic">
        <path name="headset-mic" />
    </path>

    <!-- USB TTY start -->

    <!-- full: both end tty -->
    <path name="voice-tty-full-usb">
        <path name="usb-headphones" />
    </path>

    <path name="voice-tty-full-usb-mic">
        <path name="usb-headset-mic" />
    </path>

    <!-- vco, in: handset mic use existing, out: tty -->
    <path name="voice-tty-vco-usb">
        <path name="usb-headphones" />
    </path>

    <!-- hco, in: tty, out: speaker, use existing handset -->
    <path name="voice-tty-hco-usb-mic">
        <path name="voice-tty-full-usb-mic" />
    </path>

    <!-- USB TTY end   -->

    <!-- Added for ADSP testfwk -->
    <path name="ADSP testfwk">
    </path>

    <path name="bt-a2dp">
    </path>

    <path name="speaker-and-bt-a2dp">
        <path name="speaker" />
        <path name="bt-a2dp" />
    </path>

    <path name="speaker-safe-and-bt-a2dp">
        <path name="speaker-safe" />
        <path name="bt-a2dp" />
    </path>

    <path name="deep-buffer-playback bt-a2dp">
    </path>

    <path name="low-latency-playback bt-a2dp">
    </path>

    <path name="compress-offload-playback bt-a2dp">
    </path>

    <path name="compress-offload-playback2 bt-a2dp">
    </path>

    <path name="compress-offload-playback3 bt-a2dp">
    </path>

    <path name="compress-offload-playback4 bt-a2dp">
    </path>

    <path name="compress-offload-playback5 bt-a2dp">
    </path>

    <path name="compress-offload-playback6 bt-a2dp">
    </path>

    <path name="compress-offload-playback7 bt-a2dp">
    </path>

    <path name="compress-offload-playback8 bt-a2dp">
    </path>

    <path name="compress-offload-playback9 bt-a2dp">
    </path>

    <path name="audio-ull-playback bt-a2dp">
    </path>

    <path name="deep-buffer-playback speaker-and-bt-a2dp">
        <path name="deep-buffer-playback bt-a2dp" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe-and-bt-a2dp">
        <path name="deep-buffer-playback bt-a2dp" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="compress-offload-playback speaker-and-bt-a2dp">
        <path name="compress-offload-playback bt-a2dp" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe-and-bt-a2dp">
        <path name="compress-offload-playback bt-a2dp" />
        <path name="compress-offload-playback" />
    </path>

    <path name="low-latency-playback speaker-and-bt-a2dp">
        <path name="low-latency-playback bt-a2dp" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe-and-bt-a2dp">
        <path name="low-latency-playback bt-a2dp" />
        <path name="low-latency-playback" />
    </path>

    <path name="compress-offload-playback2 speaker-and-bt-a2dp">
        <path name="compress-offload-playback2 bt-a2dp" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-safe-and-bt-a2dp">
        <path name="compress-offload-playback2 bt-a2dp" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback3 speaker-and-bt-a2dp">
        <path name="compress-offload-playback3 bt-a2dp" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback4 speaker-and-bt-a2dp">
        <path name="compress-offload-playback4 bt-a2dp" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback5 speaker-and-bt-a2dp">
        <path name="compress-offload-playback5 bt-a2dp" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback6 speaker-and-bt-a2dp">
        <path name="compress-offload-playback6 bt-a2dp" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback7 speaker-and-bt-a2dp">
        <path name="compress-offload-playback7 bt-a2dp" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback8 speaker-and-bt-a2dp">
        <path name="compress-offload-playback8 bt-a2dp" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback9 speaker-and-bt-a2dp">
        <path name="compress-offload-playback9 bt-a2dp" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="audio-ull-playback speaker-and-bt-a2dp">
        <path name="audio-ull-playback bt-a2dp" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-safe-and-bt-a2dp">
        <path name="audio-ull-playback bt-a2dp" />
        <path name="audio-ull-playback" />
    </path>

    <path name="mmap-playback">
    </path>

    <path name="mmap-playback headphones">
    </path>

    <path name="mmap-playback headset">
        <path name="mmap-playback headphones" />
    </path>

    <path name="mmap-playback speaker-and-headphones">
        <path name="mmap-playback" />
        <path name="mmap-playback headphones" />
    </path>

    <path name="mmap-playback speaker-safe-and-headphones">
        <path name="mmap-playback" />
        <path name="mmap-playback headphones" />
    </path>

    <path name="mmap-playback bt-sco">
    </path>

    <path name="mmap-playback bt-sco-wb">
        <path name="mmap-playback bt-sco" />
    </path>

    <path name="mmap-playback bt-sco-swb">
        <path name="mmap-playback bt-sco" />
    </path>

    <path name="mmap-playback afe-proxy">
    </path>

    <path name="mmap-playback usb-headphones">
    </path>

    <path name="mmap-playback usb-headset">
    </path>

    <path name="mmap-playback display-port">
    </path>

    <path name="mmap-playback display-port1">
    </path>

    <path name="mmap-playback hdmi">
    </path>

    <path name="mmap-playback speaker-and-hdmi">
        <path name="mmap-playback hdmi" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-and-display-port">
        <path name="mmap-playback display-port" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-and-display-port1">
        <path name="mmap-playback display-port1" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-and-usb-headphones">
        <path name="mmap-playback usb-headphones" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-safe-and-usb-headphones">
        <path name="mmap-playback usb-headphones" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-record">
    </path>

    <path name="mmap-record bt-sco">
    </path>

    <path name="mmap-record bt-sco-wb">
        <path name="mmap-record bt-sco" />
    </path>

    <path name="mmap-record bt-sco-swb">
        <path name="mmap-record bt-sco" />
    </path>

    <path name="mmap-record capture-fm">
    </path>

    <path name="mmap-record usb-headset-mic">
    </path>

    <path name="mmap-record headset-mic">
    </path>

    <path name="hifi-playback display-port">
    </path>

    <path name="hifi-playback display-port1">
    </path>

    <path name="hifi-playback afe-proxy">
    </path>

    <path name="hifi-playback usb-headset">
    </path>

    <path name="hifi-playback usb-headphones">
    </path>

    <path name="hifi-record">
    </path>

    <path name="hifi-record headset-mic">
    </path>

    <path name="hifi-record usb-headset-mic">
    </path>

    <path name="incall_music_uplink">
    </path>

    <path name="incall_music_uplink speaker">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink handset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink handset-hac">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink display-port">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink display-port1">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-sco">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-sco-wb">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-sco-swb">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-display-port">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-display-port1">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink afe-proxy">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink usb-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink usb-headset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-usb-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-usb-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink headset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-bt-sco">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-bt-sco">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink voice-tty-hco-handset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-bt-a2dp">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-bt-a2dp">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-a2dp">
        <path name="incall_music_uplink" />
    </path>
    <path name="incall_music_uplink afe-proxy">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink call-proxy">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink2">
    </path>

    <path name="incall_music_uplink2 speaker">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 handset">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 handset-hac">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 display-port">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 bt-sco">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 bt-sco-wb">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-display-port">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 afe-proxy">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 usb-headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 usb-headset">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-usb-headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-bt-sco">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 voice-tty-hco-handset">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-bt-a2dp">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 bt-a2dp">
        <path name="incall_music_uplink2" />
    </path>
    <path name="incall_music_uplink2 afe-proxy">
        <path name="incall_music_uplink2" />
    </path>


</mixer>
